GETWD(3)

NAME
getwd - get current directory

SYNOPSIS
#include <u.h>
#include <libc.h>

char* getwd(char *buf, int size)

DESCRIPTION
Getwd fills buf with a null-terminated string representing the current directory and returns buf.

Getwd places no more than size bytes in the buffer provided.

SOURCE
/usr/local/plan9/src/libc/9sys/getwd.c

SEE ALSO
pwd(1), fd2path(3)

DIAGNOSTICS
On error, zero is returned. Errstr(3) may be consulted for more information.

BUGS
Although the name returned by getwd is guaranteed to be the path used to reach the directory, if the name space has changed underfoot, the name may be incorrect.